import * as z from 'zod';
// prettier-ignore
export const CronJobLogModelSchema = z.object({
    id: z.number().int(),
    jobName: z.string(),
    status: z.string(),
    startedAt: z.date(),
    completedAt: z.date().nullable(),
    durationMs: z.number().int().nullable(),
    errorMessage: z.string().nullable()
}).strict();

export type CronJobLogPureType = z.infer<typeof CronJobLogModelSchema>;
